summaryrefslogtreecommitdiffstats
path: root/system/apcupsd
diff options
context:
space:
mode:
author Robby Workman2010-05-13 00:39:36 +0200
committer Erik Hanson2010-05-13 00:39:36 +0200
commitc86d6b37a399740af387005a0b7c8ffafca31a69 (patch)
tree3aa4e84e95e3ce975055145c00a720a72dc37173 /system/apcupsd
parent99d16d6745dadbdf9a5b73adc2713ad7945f87fa (diff)
downloadslackbuilds-c86d6b37a399740af387005a0b7c8ffafca31a69.tar.gz
system/apcupsd: Updated for version 3.14.8
Diffstat (limited to 'system/apcupsd')
-rw-r--r--system/apcupsd/README2
-rw-r--r--system/apcupsd/apcupsd.SlackBuild25
-rw-r--r--system/apcupsd/apcupsd.info10
3 files changed, 22 insertions, 15 deletions
diff --git a/system/apcupsd/README b/system/apcupsd/README
index f41fdcf630..1f44af956c 100644
--- a/system/apcupsd/README
+++ b/system/apcupsd/README
@@ -13,6 +13,6 @@ the distribution-specific installation to prevent messing with files outside
DESTDIR; however, this does make it require some manual configuration after
installation.
-After installing, see /usr/doc/apcupsd-3.14.5/README.SLACKWARE for more
+After installing, see /usr/doc/apcupsd-3.14.8/README.SLACKWARE for more
information on how to modify rc.6 and how to start the apcupsd daemon
automatically at boot.
diff --git a/system/apcupsd/apcupsd.SlackBuild b/system/apcupsd/apcupsd.SlackBuild
index eff23168bb..36c362d980 100644
--- a/system/apcupsd/apcupsd.SlackBuild
+++ b/system/apcupsd/apcupsd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for apcupsd
-# Copyright 2006-2009 Robby Workman Northport, AL, USA
+# Copyright 2006-2010 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
# * added log rotation
PRGNAM=apcupsd
-VERSION=3.14.5
+VERSION=3.14.8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -46,10 +46,13 @@ UPSCABLE=${UPSCABLE:-usb} # Cable type (RJ45<-->USB == USB)
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -63,16 +66,21 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-# The "--disable-install-distdir" is important - don't remove it
+# The "--disable-install-distdir" is important - don't remove it.
# If you enable the distribution-specific install, then apcupsd will attempt
# to patch the /etc/rc.d/rc.6 script on your system. This may be acceptable
# from a single-user standpoint, but for packagers, it's not worth a crap.
# If I'd wanted the Makefile tampering with things outside DESTDIR, I wouldn't
# have used the DESTDIR flag - why is this so difficult to comprehend?
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+#
+# Don't use legacy defines in the netsnmp headers
+# http://www.linuxquestions.org/questions/slackware-14/cannot-build-apcups-on-slack64-current-775065/
+#
+CFLAGS="$SLKCFLAGS -DNETSNMP_NO_LEGACY_DEFINITIONS=1" \
+CXXFLAGS="$SLKCFLAGS -DNETSNMP_NO_LEGACY_DEFINITIONS=1" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sbindir=/sbin \
--mandir=/usr/man \
--localstatedir=/var \
@@ -95,7 +103,7 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -108,9 +116,6 @@ find $PKG/usr/doc/$PRGNAM-$VERSION -name "Makefile*" -exec rm {} \;
find $PKG/usr/doc/$PRGNAM-$VERSION -name "*.man" -exec rm {} \;
chown -R root:root $PKG/usr/doc
-# Install the apctest man page - it's not done automatically for some reason
-install -m 0644 doc/apctest.man $PKG/usr/man/man8/apctest.8
-
# Install the apcupsd init script
install -D -m 0755 platforms/slackware/apcupsd \
$PKG/etc/rc.d/rc.apcupsd.new
@@ -139,4 +144,4 @@ sed s/@VERSION@/$VERSION/ $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/apcupsd/apcupsd.info b/system/apcupsd/apcupsd.info
index 1566ceef6d..10f75c3987 100644
--- a/system/apcupsd/apcupsd.info
+++ b/system/apcupsd/apcupsd.info
@@ -1,8 +1,10 @@
PRGNAM="apcupsd"
-VERSION="3.14.5"
+VERSION="3.14.8"
HOMEPAGE="http://www.apcupsd.org"
-DOWNLOAD="http://downloads.sourceforge.net/apcupsd/apcupsd-3.14.5.tar.gz"
-MD5SUM="4ac73ec91d8ab56f3fac894e172567c4"
+DOWNLOAD="http://downloads.sourceforge.net/apcupsd/apcupsd-3.14.8.tar.gz"
+MD5SUM="cd17f0a903dc2220e55ed54e242359d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"